#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long n,a;
    double p;
    vector <pair<double,long long>> v;
    cin >> n;
    for(int i = 0;i<n;i++)
    {
        cin >> a >> p;
        v.push_back({p,a});
    }
    sort(v.begin(),v.end());
    long long  sum=0;
    for(int i = 0;i<n;i++)
    {
        sum+=v[i].second;
    }
    double max1 =0;
    p=v[0].first;
    for(int i = 0;i<n;i++)
    {
        double b=1.0*sum*p/100;
        if(b>max1)
        {
            max1=b;
        }
        sum-=v[i].second;
        p=v[i+1].first;
    }
    cout << fixed;
    cout << setprecision(4);
    cout << max1;
}